Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical/COMP/pisces.card	(revision 3729)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical/COMP/pisces.card	(revision 3746)
@@ -35,7 +35,9 @@
 List=	(${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_top_ref                             , namelist_top_ref           ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref                          , namelist_pisces_ref        ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_cfc_ref                             , namelist_cfc_ref           ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-inerttrc.xml , field_def_nemo-inerttrc.xml), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_ocnBgChem.xml          , ping_ocnBgChem.xml         ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/CFCs_CDIAC.dat              , CFCs_CDIAC.dat             ), \
      	(${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE}pdC_cfg                                  , namelist_top_cfg           ), \
         (${SUBMIT_DIR}/PARAM/namelist_pisces_${RESOL_OCE}_cfg                                  , namelist_pisces_cfg        ), \
@@ -50,7 +52,7 @@
 
 [OutputFiles]
-List=   (${config_UserChoices_JobName}_1y_ptrc_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc    , Post_1Y_ptrc_T   ) , \
-        (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , Post_1Y_diad_T   ) , \
-        (${config_UserChoices_JobName}_1y_age.nc           , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_age.nc       , Post_1Y_age      ) , \
+List=   (${config_UserChoices_JobName}_1y_ptrc_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc    , NONE   ) , \
+        (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , NONE   ) , \
+        (${config_UserChoices_JobName}_1y_inerttrc.nc      , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_inerttrc.nc  , Post_1Y_inerttrc      ) , \
 	(${config_UserChoices_JobName}_1m_bioscalar.nc     , ${R_OUT_MBG_O_M}/${PREFIX}_1M_bioscalar.nc , Post_1M_bioscalar) , \
         (${config_UserChoices_JobName}_1m_ptrc_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc    , Post_1M_ptrc_T   ) , \
@@ -85,5 +87,5 @@
 TimeSeriesVars3D = (Alkalini, NCHL, DCHL, DIC, Fer, NO3, O2, PO4, Si)
 ChunckJob3D = 50Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1M_diad_T]
@@ -94,5 +96,5 @@
 TimeSeriesVars3D = (TPP)
 ChunckJob3D = 50Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1Y_ptrc_T]
@@ -114,5 +116,5 @@
 Seasonal=OFF
 
-[Post_1Y_age]
+[Post_1Y_inerttrc]
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl/COMP/pisces.card	(revision 3729)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl/COMP/pisces.card	(revision 3746)
@@ -35,7 +35,9 @@
 List=	(${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_top_ref                             , namelist_top_ref           ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref                          , namelist_pisces_ref        ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_cfc_ref                             , namelist_cfc_ref           ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-inerttrc.xml , field_def_nemo-inerttrc.xml), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_ocnBgChem.xml          , ping_ocnBgChem.xml         ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/CFCs_CDIAC.dat              , CFCs_CDIAC.dat             ), \
      	(${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE}pdC_cfg                                  , namelist_top_cfg           ), \
         (${SUBMIT_DIR}/PARAM/namelist_pisces_${RESOL_OCE}_cfg                                  , namelist_pisces_cfg        ), \
@@ -50,7 +52,7 @@
 
 [OutputFiles]
-List=   (${config_UserChoices_JobName}_1y_ptrc_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc    , Post_1Y_ptrc_T   ) , \
-        (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , Post_1Y_diad_T   ) , \
-        (${config_UserChoices_JobName}_1y_age.nc           , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_age.nc       , Post_1Y_age      ) , \
+List=   (${config_UserChoices_JobName}_1y_ptrc_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc    , NONE   ) , \
+        (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , NONE   ) , \
+        (${config_UserChoices_JobName}_1y_inerttrc.nc      , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_inerttrc.nc  , Post_1Y_inerttrc ) , \
 	(${config_UserChoices_JobName}_1m_bioscalar.nc     , ${R_OUT_MBG_O_M}/${PREFIX}_1M_bioscalar.nc , Post_1M_bioscalar) , \
         (${config_UserChoices_JobName}_1m_ptrc_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc    , Post_1M_ptrc_T   ) , \
@@ -85,5 +87,5 @@
 TimeSeriesVars3D = (Alkalini, NCHL, DCHL, DIC, Fer, NO3, O2, PO4, Si)
 ChunckJob3D = 50Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1M_diad_T]
@@ -94,5 +96,5 @@
 TimeSeriesVars3D = (TPP)
 ChunckJob3D = 50Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1Y_ptrc_T]
@@ -114,5 +116,5 @@
 Seasonal=OFF
 
-[Post_1Y_age]
+[Post_1Y_inerttrc]
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/pisces.card	(revision 3729)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/pisces.card	(revision 3746)
@@ -35,7 +35,9 @@
 List=	(${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_top_ref                             , namelist_top_ref           ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref                          , namelist_pisces_ref        ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_cfc_ref                             , namelist_cfc_ref           ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-inerttrc.xml , field_def_nemo-inerttrc.xml), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_ocnBgChem.xml          , ping_ocnBgChem.xml         ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/CFCs_CDIAC.dat              , CFCs_CDIAC.dat             ), \
      	(${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE}piC_cfg                                  , namelist_top_cfg           ), \
         (${SUBMIT_DIR}/PARAM/namelist_pisces_${RESOL_OCE}_cfg                                  , namelist_pisces_cfg        ), \
@@ -52,5 +54,5 @@
 List=   (${config_UserChoices_JobName}_1y_ptrc_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc    , NONE   ) , \
         (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , NONE   ) , \
-        (${config_UserChoices_JobName}_1y_age.nc           , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_age.nc       , NONE      ) , \
+        (${config_UserChoices_JobName}_1y_inerttrc.nc      , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_inerttrc.nc  , NONE      ) , \
     	(${config_UserChoices_JobName}_1m_bioscalar.nc     , ${R_OUT_MBG_O_M}/${PREFIX}_1M_bioscalar.nc , Post_1M_bioscalar) , \
         (${config_UserChoices_JobName}_1m_ptrc_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc    , NONE) , \
@@ -83,5 +85,5 @@
 TimeSeriesVars3D = (Alkalini, NCHL, DCHL, DIC, Fer, NO3, O2, PO4, Si)
 ChunckJob3D = OFF
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1M_diad_T]
@@ -92,5 +94,5 @@
 TimeSeriesVars3D = (TPP)
 ChunckJob3D = OFF
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1Y_ptrc_T]
@@ -112,5 +114,5 @@
 Seasonal=OFF
 
-[Post_1Y_age]
+[Post_1Y_inerttrc]
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card	(revision 3729)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card	(revision 3746)
@@ -35,7 +35,9 @@
 List=	(${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_top_ref                             , namelist_top_ref           ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref                          , namelist_pisces_ref        ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_cfc_ref                             , namelist_cfc_ref           ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-inerttrc.xml , field_def_nemo-inerttrc.xml), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_ocnBgChem.xml          , ping_ocnBgChem.xml         ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/CFCs_CDIAC.dat              , CFCs_CDIAC.dat             ), \
      	(${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE}piC_cfg                                  , namelist_top_cfg           ), \
         (${SUBMIT_DIR}/PARAM/namelist_pisces_${RESOL_OCE}_cfg                                  , namelist_pisces_cfg        ), \
@@ -50,7 +52,7 @@
 
 [OutputFiles]
-List=   (${config_UserChoices_JobName}_1y_ptrc_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc    , Post_1Y_ptrc_T   ) , \
-        (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , Post_1Y_diad_T   ) , \
-        (${config_UserChoices_JobName}_1y_age.nc           , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_age.nc       , Post_1Y_age      ) , \
+List=   (${config_UserChoices_JobName}_1y_ptrc_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc    , NONE   ) , \
+        (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , NONE   ) , \
+        (${config_UserChoices_JobName}_1y_inerttrc.nc      , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_inerttrc.nc  , Post_1Y_inerttrc ) , \
 	(${config_UserChoices_JobName}_1m_bioscalar.nc     , ${R_OUT_MBG_O_M}/${PREFIX}_1M_bioscalar.nc , Post_1M_bioscalar) , \
         (${config_UserChoices_JobName}_1m_ptrc_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc    , Post_1M_ptrc_T   ) , \
@@ -85,5 +87,5 @@
 TimeSeriesVars3D = (Alkalini, NCHL, DCHL, DIC, Fer, NO3, O2, PO4, Si)
 ChunckJob3D = 50Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1M_diad_T]
@@ -94,5 +96,5 @@
 TimeSeriesVars3D = (TPP)
 ChunckJob3D = 50Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1Y_ptrc_T]
@@ -114,5 +116,5 @@
 Seasonal=OFF
 
-[Post_1Y_age]
+[Post_1Y_inerttrc]
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
@@ -122,3 +124,2 @@
 ChunckJob3D = NONE
 Seasonal=OFF
-
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/pisces.card	(revision 3729)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/pisces.card	(revision 3746)
@@ -35,7 +35,9 @@
 List=	(${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_top_ref                             , namelist_top_ref           ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref                          , namelist_pisces_ref        ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_cfc_ref                             , namelist_cfc_ref           ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-inerttrc.xml , field_def_nemo-inerttrc.xml), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_ocnBgChem.xml          , ping_ocnBgChem.xml         ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/CFCs_CDIAC.dat              , CFCs_CDIAC.dat             ), \
      	(${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE}piC_cfg                                  , namelist_top_cfg           ), \
         (${SUBMIT_DIR}/PARAM/namelist_pisces_${RESOL_OCE}_cfg                                  , namelist_pisces_cfg        ), \
@@ -52,5 +54,5 @@
 List=   (${config_UserChoices_JobName}_1y_ptrc_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc    , NONE   ) , \
         (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , NONE   ) , \
-        (${config_UserChoices_JobName}_1y_age.nc           , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_age.nc       , NONE      ) , \
+        (${config_UserChoices_JobName}_1y_inerttrc.nc      , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_inerttrc.nc  , NONE      ) , \
 	(${config_UserChoices_JobName}_1m_bioscalar.nc     , ${R_OUT_MBG_O_M}/${PREFIX}_1M_bioscalar.nc , Post_1M_bioscalar) , \
         (${config_UserChoices_JobName}_1m_ptrc_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc    , NONE   ) , \
@@ -85,5 +87,5 @@
 TimeSeriesVars3D = (Alkalini, NCHL, DCHL, DIC, Fer, NO3, O2, PO4, Si)
 ChunckJob3D = 50Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1M_diad_T]
@@ -94,5 +96,5 @@
 TimeSeriesVars3D = (TPP)
 ChunckJob3D = 50Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1Y_ptrc_T]
@@ -114,5 +116,5 @@
 Seasonal=OFF
 
-[Post_1Y_age]
+[Post_1Y_inerttrc]
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)