Index: CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/config.card	(revision 3687)
+++ CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/config.card	(revision 3758)
@@ -14,5 +14,5 @@
 #----- DEVT TEST PROD
 SpaceName=DEVT
-LongName="IPSLCM6.0.15"
+LongName="IPSLCM6.1"
 TagName=IPSLCM6
 #D- Choice of experiment in EXPERIMENTS directory
@@ -42,7 +42,7 @@
 OverRule=y
 #D- Last day of the experience used as restart for all components
-RestartDate=2569-12-31
+RestartDate=XXXX-12-31
 #D- Define restart simulation name for all components
-RestartJobName=CM6014-pi-ttop-ssh-03
+RestartJobName=CM6015S-pi-01
 #D- Path Server Group Login
 RestartPath=${R_IN}/RESTART/IPSLCM6/DEVT/piControl
@@ -51,11 +51,11 @@
 #D-- ATM -
 [ATM]
-WriteFrequency="1M 1D"
-# If config_Restarts_OverRule == 'n' next 4 params are read
-Restart=y
-#D- Last day of the experience used as restart for all components
-RestartDate=1969-12-31
-#D- Define restart simulation name for all components
-RestartJobName=CM6013-pi-ttop-rnhmin
+WriteFrequency="1M HF"
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart= y
+# Last day of the experience used as restart for this component if Restart=y
+RestartDate=2569-12-31
+#D- Define restart simulation name for this component
+RestartJobName=CM6014-pi-ttop-ssh-03
 #D- Path Server Group Login
 RestartPath=${R_IN}/RESTART/IPSLCM6/DEVT/piControl
@@ -64,11 +64,11 @@
 #D-- OCE -
 [OCE]
-WriteFrequency="1M"
-# If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= y
-#D- Last day of the experience used as restart for all components
-RestartDate=1969-12-31
-#D- Define restart simulation name for all components
-RestartJobName=CM6013-pi-ttop-rnhmin
+WriteFrequency="5D 1M"
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart= y
+#-- Last day of the experience used as restart for this component if Restart=y
+RestartDate=2569-12-31
+#D- Define restart simulation name for this component
+RestartJobName=CM6014-pi-ttop-ssh-03
 #D- Path Server Group Login
 RestartPath=${R_IN}/RESTART/IPSLCM6/DEVT/piControl
@@ -80,8 +80,8 @@
 # If config_Restarts_OverRule == 'n' next 4 params are read
 Restart= y
-#D- Last day of the experience used as restart for all components
-RestartDate=1969-12-31
-#D- Define restart simulation name for all components
-RestartJobName=CM6013-pi-ttop-rnhmin
+##-- Last day of the experience used as restart for this component if Restart=y
+RestartDate=2569-12-31
+#D- Define restart simulation name for this component
+RestartJobName=CM6014-pi-ttop-ssh-03
 #D- Path Server Group Login
 RestartPath=${R_IN}/RESTART/IPSLCM6/DEVT/piControl
@@ -92,8 +92,8 @@
 WriteFrequency="1M 1Y"
 Restart= y
-#D- Last day of the experience used as restart for all components
-RestartDate=1969-12-31
-#D- Define restart simulation name for all components
-RestartJobName=CM6013-pi-ttop-rnhmin
+##-- Last day of the experience used as restart for this component if Restart=y
+RestartDate=2569-12-31
+#D- Define restart simulation name for this component
+RestartJobName=CM6014-pi-ttop-ssh-03
 #D- Path Server Group Login
 RestartPath=${R_IN}/RESTART/IPSLCM6/DEVT/piControl
@@ -102,11 +102,12 @@
 #D-- SRF -
 [SRF]
-WriteFrequency="1M"
-# If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= y
-#D- Last day of the experience used as restart for all components
-RestartDate=1969-12-31
-#D- Define restart simulation name for all components
-RestartJobName=CM6013-pi-ttop-rnhmin
+# WriteFrequency is not used for ORCHIDEE, see orchidee.card/stomate.card 
+WriteFrequency=""
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart= y
+# Last day of the experience used as restart for this component if Restart=y
+RestartDate=2569-12-31
+#D- Define restart simulation name for this component
+RestartJobName=CM6014-pi-ttop-ssh-03
 #D- Path Server Group Login
 RestartPath=${R_IN}/RESTART/IPSLCM6/DEVT/piControl
@@ -115,11 +116,12 @@
 #D-- SBG - STOMATE
 [SBG]
-WriteFrequency="1M"
-# If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= y
-#D- Last day of the experience used as restart for all components
-RestartDate=1969-12-31
-#D- Define restart simulation name for all components
-RestartJobName=CM6013-pi-ttop-rnhmin
+# WriteFrequency is not used for ORCHIDEE, see orchidee.card/stomate.card 
+WriteFrequency=""
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart= y
+# Last day of the experience used as restart for this component if Restart=y
+RestartDate=2569-12-31
+#D- Define restart simulation name for this component
+RestartJobName=CM6014-pi-ttop-ssh-03
 #D- Path Server Group Login
 RestartPath=${R_IN}/RESTART/IPSLCM6/DEVT/piControl
@@ -131,8 +133,8 @@
 # If config_Restarts_OverRule == 'n' next 4 params are read
 Restart= y
-#D- Last day of the experience used as restart for all components
-RestartDate=1969-12-31
-#D- Define restart simulation name for all components
-RestartJobName=CM6013-pi-ttop-rnhmin
+# Last day of the experience used as restart for this component if Restart=y
+RestartDate=2569-12-31
+#D- Define restart simulation name for this component
+RestartJobName=CM6014-pi-ttop-ssh-03
 #D- Path Server Group Login
 RestartPath=${R_IN}/RESTART/IPSLCM6/DEVT/piControl
@@ -174,5 +176,5 @@
 MBG= ("" ,"" )
 CPL= ("", "" )
-IOS= (xios_server.exe, xios.x, 1MPI)
+IOS= (xios_server.exe, xios.x, 12MPI, 3NOD)
 
 #========================================================================