Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical/COMP/pisces.card	(revision 3753)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical/COMP/pisces.card	(revision 3762)
@@ -42,4 +42,5 @@
      	(${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE}pdC_cfg                                  , namelist_top_cfg           ), \
         (${SUBMIT_DIR}/PARAM/namelist_pisces_${RESOL_OCE}_cfg                                  , namelist_pisces_cfg        ), \
+        (${SUBMIT_DIR}/PARAM/namelist_cfc_cfg                                                  , namelist_cfc_cfg           ), \
         (${SUBMIT_DIR}/PARAM/file_def_nemo-pisces.xml                                          , file_def_nemo-pisces.xml   )
 
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl/COMP/pisces.card	(revision 3753)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl/COMP/pisces.card	(revision 3762)
@@ -42,4 +42,5 @@
      	(${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE}pdC_cfg                                  , namelist_top_cfg           ), \
         (${SUBMIT_DIR}/PARAM/namelist_pisces_${RESOL_OCE}_cfg                                  , namelist_pisces_cfg        ), \
+        (${SUBMIT_DIR}/PARAM/namelist_cfc_cfg                                                  , namelist_cfc_cfg           ), \
         (${SUBMIT_DIR}/PARAM/file_def_nemo-pisces.xml                                          , file_def_nemo-pisces.xml   )
 
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/pisces.card	(revision 3753)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/pisces.card	(revision 3762)
@@ -42,4 +42,5 @@
      	(${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE}piC_cfg                                  , namelist_top_cfg           ), \
         (${SUBMIT_DIR}/PARAM/namelist_pisces_${RESOL_OCE}_cfg                                  , namelist_pisces_cfg        ), \
+        (${SUBMIT_DIR}/PARAM/namelist_cfc_cfg                                                  , namelist_cfc_cfg           ), \
         (${SUBMIT_DIR}/PARAM/file_def_nemo-pisces.xml                                          , file_def_nemo-pisces.xml   )
         
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card	(revision 3753)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card	(revision 3762)
@@ -42,4 +42,5 @@
      	(${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE}piC_cfg                                  , namelist_top_cfg           ), \
         (${SUBMIT_DIR}/PARAM/namelist_pisces_${RESOL_OCE}_cfg                                  , namelist_pisces_cfg        ), \
+        (${SUBMIT_DIR}/PARAM/namelist_cfc_cfg                                                  , namelist_cfc_cfg           ), \
         (${SUBMIT_DIR}/PARAM/file_def_nemo-pisces.xml                                          , file_def_nemo-pisces.xml   )
         
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/pisces.card	(revision 3753)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/pisces.card	(revision 3762)
@@ -42,4 +42,5 @@
      	(${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE}piC_cfg                                  , namelist_top_cfg           ), \
         (${SUBMIT_DIR}/PARAM/namelist_pisces_${RESOL_OCE}_cfg                                  , namelist_pisces_cfg        ), \
+        (${SUBMIT_DIR}/PARAM/namelist_cfc_cfg                                                  , namelist_cfc_cfg           ), \
         (${SUBMIT_DIR}/PARAM/file_def_nemo-pisces.xml                                          , file_def_nemo-pisces.xml   )
         