Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/stomate.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip/COMP/stomate.card	(revision 3752)
+++ 	(revision )
@@ -1,59 +1,0 @@
-[Compatibility]
-libIGCM=1.0
-
-[UserChoices]
-
-# Specify output level for output files
-# Only the files stomate_history.nc and stomate_ipcc_history.nc can be set here.
-# output_level_filname=0     : lowest level writing only variables needed for the monitoring
-# output_level_filname=10    : highest level which will output all variables
-# output_level_filname=NONE  : deactivate the file
-output_level_stomate_history = 10
-output_level_stomate_ipcc_history = 1
-
-# Specify output frequency for each file [1y, 1mo, 1d]
-# Settings using WriteFrequency in config.card are not longer used
-output_freq_stomate_history = 1mo
-output_freq_stomate_ipcc_history = 1mo
-
-
-[InitialStateFiles]
-List=   ()
-
-[BoundaryFiles]
-List=   ()
-ListNonDel= ()
-
-[SmoothFiles]
-List=   ()
-
-[ParametersFiles]
-List=   ()
-
-[RestartFiles]
-List=   (stomate_rest_out.nc, stomate_rest.nc, stomate_rest_in.nc)
-
-[OutputText]
-List=   ()
-
-[OutputFiles]
-List=   (stomate_history.nc,      ${R_OUT_SBG_O_M}/${PREFIX}_1M_stomate_history.nc,      Post_1M_stomate_history),    \
-        (stomate_ipcc_history.nc, ${R_OUT_SBG_O_M}/${PREFIX}_1M_stomate_ipcc_history.nc, Post_1M_stomate_ipcc_history)
-
-[Post_1M_stomate_history]
-Patches = ()
-GatherWithInternal = (lon, lat, Areas, CONTFRAC, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (T2M_MONTH,RESOLUTION_X,RESOLUTION_Y,CONVFLUX,CFLUX_PROD10,CFLUX_PROD100,HARVEST_ABOVE)
-ChunckJob2D = NONE
-TimeSeriesVars3D = (LAI,VEGET_COV_MAX,NPP,GPP,HET_RESP,MAINT_RESP,GROWTH_RESP,AGE,HEIGHT,TOTAL_M,TOTAL_BM_LITTER,TOTAL_SOIL_CARB,CO2_FIRE,TOTAL_TURN,WOOD_HARVEST_PFT)
-ChunckJob3D = NONE
-Seasonal = ON
-
-[Post_1M_stomate_ipcc_history]
-Patches = ()
-GatherWithInternal = (lon, lat, Areas, CONTFRAC, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (cVeg, cLitter, cSoil, cProduct, lai, gpp, ra, npp, rh, fFire, fHarvest, fLuc, nbp, fVegLitter, fLitterSoil, cLeaf, cWood, cRoot, cMisc, cLitterAbove, cLitterBelow, cSoilFast, cSoilMedium, cSoilSlow, landCoverFrac, treeFracPrimDec, treeFracPrimEver, c3PftFrac, c4PftFrac, rGrowth, rMaint, nppLeaf, nppWood, nppRoot, nep, fWoodharvest)
-ChunckJob2D = NONE
-TimeSeriesVars3D = ()
-ChunckJob3D = NONE
-Seasonal = ON
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 3752)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/lmdz.card	(revision 3772)
@@ -3,13 +3,5 @@
 
 [UserChoices]
-# Physics package to use :
-# LMDZ_Physics=AP for standard/old physics(defalut), can be used with LMDZ4_AR5 or LMDZ5/trunk sources
-# LMDZ_Physics=NPv3.2 for an early version of the new physics, to be used with LMDZ5/trunk revision 1554 or later
-# LMDZ_Physics=NPv5.70 for new physics to be used with LMDZ5/testing revision 2595 or later
-# LMDZ_Physics=NPv5.80bz0 for new physics to be used with LMDZ5/trunk revision 2699 or later
-# LMDZ_Physics=NPv6.0.7 for new physics to be used with LMDZ5/trunk revision 2720 or later
-# LMDZ_Physics=NPv6.0.8 for new physics to be used with LMDZ5/trunk revision 2739 or later
-# LMDZ_Physics=NPv6.0.15_T or NPv6.0.15_S to be used with LMDZ6/branches/IPSLCM6.0.15 rev 3224
-# LMDZ_Physics=NPv6.1 to be used with LMDZ6/branches/IPSLCM6.0.15 rev 3301
+# Physics package to use
 LMDZ_Physics=NPv6.1
 
@@ -20,5 +12,6 @@
 
 # Manage radiative aerosol effect and ozone
-flag_aerosol=6
+# flag_aersol=7 to activate natural aerosol + MACv2SP
+flag_aerosol=7
 ok_ade=y
 ok_aie=y
@@ -44,5 +37,5 @@
 
 # Set NMC output frequency (monthly, daily, HF) = y/n
-LMDZ_NMC_monthly=y
+LMDZ_NMC_monthly=y	   
 LMDZ_NMC_daily=n
 LMDZ_NMC_hf=n
@@ -53,15 +46,15 @@
 
 [InitialStateFiles]
-List=	(${R_IN}/ATM/START/eORCA1.2xLMD${RESOL_ATM_XY}/start_eORCA1.2xLMD${RESOL_ATM_3D}_o2a_v3.nc, start.nc),\
-        (${R_IN}/ATM/START/eORCA1.2xLMD${RESOL_ATM_XY}/startphy_eORCA1.2xLMD${RESOL_ATM_3D}_o2a_v3.nc, startphy.nc) 
+List=	(${R_IN}/ATM/START/${config_UserChoices_LandSeaMask}xLMD${RESOL_ATM_XY}/start_${config_UserChoices_LandSeaMask}xLMD${RESOL_ATM_3D}_o2a_v3.nc, start.nc),\
+        (${R_IN}/ATM/START/${config_UserChoices_LandSeaMask}xLMD${RESOL_ATM_XY}/startphy_${config_UserChoices_LandSeaMask}xLMD${RESOL_ATM_3D}_o2a_v3.nc, startphy.nc) 
 
 [BoundaryFiles]
-# With CMIP6 aerosols version 1
-List=   (${R_IN}/ATM/LIMIT/AMIP.v20170419/interpol/${RESOL_ATM_XY}_eORCA1.2_gregorian/limit_${year}.nc, limit.nc),\
-        (${R_IN}/ATM/AEROSOLS/CMIP6/v1/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/aerosols${year}_from_inca.nc,              aerosols${year}.nc),\
+List=   (${R_IN}/ATM/LIMIT/HadISST2.2.0.0-r0/interpol/${RESOL_ATM_XY}_${config_UserChoices_LandSeaMask}_gregorian/limit_${year}.nc, limit.nc),\
         (${R_IN}/ATM/OZONE/UReading/historical.v20160711.v2/interpol/${RESOL_ATM_XY}/climoz_LMDZ_${year}.nc, climoz_LMDZ.nc),\
         (${R_IN}/ATM/SOLAR/CMIP6/v3.1corr/Historical/solarforcing_v3.1_daily_6bands_${year}.nc,        solarforcing.nc),\
         (${R_IN}/ATM/STRATAERO/CMIP6/v3/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/taulwstrat.2D.${year}.nc, taulwstrat.2D.nc),\
-        (${R_IN}/ATM/STRATAERO/CMIP6/v3/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/tauswstrat.2D.${year}.nc, tauswstrat.2D.nc)
+        (${R_IN}/ATM/STRATAERO/CMIP6/v3/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/tauswstrat.2D.${year}.nc, tauswstrat.2D.nc),\
+        (${R_IN}/CMIP6/piControl-spinup/1850/dr2xml_LMDZ.xml, dr2xml_lmdz.xml)
+#        (${R_IN}/CMIP6/DR2XML_DUMMY_FULL.HEAVY/dr2xml_LMDZ.xml, dr2xml_lmdz.xml)
 
 # Note: the SOLARANDVOLCANOES.txt is only used for LMDZ_Physics=AP and NPv3.2 (if ok_suntime_rrtm=n)
@@ -72,5 +65,7 @@
             (${R_IN}/ATM/GHG/CMIP6/historical/CFC11eq_CMIP6_0000_2014.txt, CFC11.txt),\
             (${R_IN}/ATM/GHG/CMIP6/historical/CFC12eq_CMIP6_0000_2014.txt, CFC12.txt),\
-            (${R_IN}/ATM/AEROSOLS/CMIP6/v1/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/aerosols1850_from_inca.nc, aerosols.nat.nc)
+            (${R_IN}/ATM/AEROSOLS/PLUME/MACv2.0-SP_v1.nc,   MACv2.0-SP_v1.nc), \
+            (${R_IN}/ATM/AEROSOLS/CMIP6/v1/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/aerosols1980_from_inca.nc, aerosols.nat.nc),\
+            (${R_IN}/ATM/SITES/cfsites_grid_CMIP6.nc, cfsites_grid.nc)
 
 [SmoothFiles]
@@ -88,4 +83,5 @@
         (${SUBMIT_DIR}/PARAM/traceur.def, .),                               \
         (${SUBMIT_DIR}/PARAM/iodef.xml, . ),                                \
+        (${SUBMIT_DIR}/PARAM/ping_LMDZ.xml, ping_lmdz.xml ),                \
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),          \
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 3752)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/orchidee.card	(revision 3772)
@@ -11,4 +11,6 @@
 VEGET_UPDATE=1Y
 
+# Set climatology lai map
+LAI_MAP=y
 
 # Specify output level for output files
@@ -32,4 +34,5 @@
 	(${R_IN}/SRF/reftemp.nc, . ), \
 	(${R_IN}/SRF/routing.nc, . ), \
+	(${R_IN}/SRF/LAI/lai2D_ORCHIDEE_2_0_v1.nc, lai2D.nc), \
         (${R_IN}/SRF/albedo/alb_bg_modisopt_2D_ESA_v2.nc, alb_bg.nc ), \
         (${R_IN}/SRF/cartepente2d_15min.nc, .)
@@ -37,5 +40,8 @@
 [BoundaryFiles]
 List= (${R_IN}/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v1/PFTmap_${year}.nc, PFTmap.nc) ,\
-      (${R_IN}/SRF/WOODHARVEST/LUH2v2/historical/woodharvest_${year}.nc, woodharvest.nc)
+      (${R_IN}/SRF/WOODHARVEST/LUH2v2/historical/woodharvest_${year}.nc, woodharvest.nc),\
+      (${R_IN}/CMIP6/piControl-spinup/1850/dr2xml_orchidee.xml, .)
+#      (${R_IN}/CMIP6/DR2XML_DUMMY_FULL.HEAVY/dr2xml_orchidee.xml, .)
+
 ListNonDel= ()
 
@@ -45,4 +51,5 @@
 [ParametersFiles]
 List=	(${SUBMIT_DIR}/PARAM/orchidee.def_${DefSuffix}, orchidee.def)   ,\
+        (${SUBMIT_DIR}/PARAM/ping_orchidee.xml, .) ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_orchidee.xml, .)  ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_input_orchidee.xml, .) ,\
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip/config.card	(revision 3752)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/config.card	(revision 3772)
@@ -9,5 +9,5 @@
 JobName=LMDZOR01
 #----- Short Name of Experiment
-ExperimentName=amip
+ExperimentName=highresmip
 #----- DEVT TEST PROD
 SpaceName=TEST
@@ -15,5 +15,8 @@
 TagName=LMDZOR
 #D- Choice of experiment in EXPERIEMENTS directory
-ExpType=LMDZOR/amip
+ExpType=LMDZOR/highresmip_CMIP6
+# LandSeaMask specifies the coastal land-sea mask used for the surface forcing files
+# Use LandSeaMasl=eORCA1.2 for resolution 144x142 and LandSeaMask=default for other resolutions 
+LandSeaMask=eORCA1.2
 #============================
 #-- leap, noleap, 360d
@@ -21,6 +24,6 @@
 #-- Begin and end of job 
 #-- "YYYY-MM-DD"
-DateBegin=1980-01-01
-DateEnd=1980-12-31
+DateBegin=1950-01-01
+DateEnd=2014-12-31
 #============================
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
@@ -33,5 +36,4 @@
 ATM= (lmdz, LMDZ)
 SRF= (orchidee, ORCHIDEE)
-SBG= (stomate, ORCHIDEE)
 IOS= (xios, XIOS)
 
@@ -44,5 +46,4 @@
 ATM= (gcm.e, lmdz.x, 71MPI, 8OMP)
 SRF= ("", "")
-SBG= ("", "")
 IOS= (xios_server.exe, xios.x, 1MPI)
 
@@ -91,19 +92,4 @@
 
 #========================================================================
-#D-- SBG - STOMATE
-[SBG]
-# WriteFrequency is not used any more for ORCHIDEE 
-# Output files are now managed in stomate.card 
-WriteFrequency=""
-# If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= n
-# Last day of the experience used as restart for this component if Restart=y
-RestartDate=2319-12-31
-#D- Define restart simulation name for this component
-RestartJobName=CM607-LR-pdCtrl-01
-#D- Path Server Group Login
-RestartPath=${R_IN}/RESTART/IPSLCM6/DEVT/pdControl
-
-#========================================================================
 #D-- IOS -
 [IOS]
@@ -123,5 +109,5 @@
 RebuildFrequency=NONE
 #D- PackFrequency determines the frequency of pack submission
-PackFrequency=10Y
+PackFrequency=5Y
 #D- TimeSeriesFreqency determines the frequency of post-processing submission
 #D- Set NONE to deactivate the creation of all time series 