Index: CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/ping_nemo.xml
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/ping_nemo.xml	(revision 3774)
+++ CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/ping_nemo.xml	(revision 3778)
@@ -53,9 +53,9 @@
    <field id="CMIP6_difvmfdo"      field_ref="dummy_XYO"        /> <!-- P1 (m2 s-1) ocean_vertical_momentum_diffusivity_due_to_form_drag : unset **** NEMO-RD not relevant for IPSL CM6--> 
    <field id="CMIP6_difvmo"        field_ref="avm_e3w"  expr="@avm_e3w / @e3w" > avm_e3w / e3w </field> <!-- P1 (m2 s-1) ocean_vertical_momentum_diffusivity : unset -->
-   <field id="CMIP6_difvmto"       field_ref="av_tide_e3w"  expr="@av_tide_e3w / @e3w" > av_tide_e3w / e3w </field> <!-- P1 (m2 s-1) ocean_vertical_momentum_diffusivity_due_to_tides : unset --> 
+   <field id="CMIP6_difvmto"       field_ref="av_wave_e3w" expr="@av_wave_e3w / @e3w" > av_wave_e3w / e3w </field> <!-- P1 (m2 s-1) ocean_vertical_momentum_diffusivity_due_to_tides : unset --> 
    <field id="CMIP6_difvso"        field_ref="avs_e3w"  expr="@avs_e3w / @e3w" > avs_e3w / e3w </field> <!-- P1 (m2 s-1) ocean_vertical_salt_diffusivity : Vertical/dianeutral diffusivity applied to prognostic salinity field. -->
    <field id="NEMO_difvso_noevd"   field_ref="avs_e3w"  expr="(@avs_e3w - @avt_evd_e3w) / @e3w" > ( avs_e3w - avt_evd_e3w)  / e3w </field>  <!-- P3 (m2 s-1) ocean vertical heat diffusivity without evd contribution ****  NEMO-RD : extra variable not required by CMIP6 -->
    <field id="CMIP6_difvtrbo"      field_ref="dummy_XYO"             /> <!-- P1 (m2 s-1) ocean_vertical_tracer_diffusivity_due_to_background : unset *** NEMO-RD : not relevant for IPSLCM6 -->
-   <field id="CMIP6_difvtrto"      field_ref="av_tide_e3w" expr="@av_tide_e3w / @e3w" > av_tide_e3w / e3w </field> <!-- P1 (m2 s-1) ocean_vertical_tracer_diffusivity_due_to_tides : unset -->
+   <field id="CMIP6_difvtrto"      field_ref="av_wave_e3w" expr="@av_wave_e3w / @e3w" > av_wave_e3w / e3w </field> <!-- P1 (m2 s-1) ocean_vertical_tracer_diffusivity_due_to_tides : unset -->
    <field id="CMIP6_dispkevfo"     field_ref="dispkevfo"   /> <!-- P1 (W m-2) ocean_kinetic_energy_dissipation_per_unit_area_due_to_vertical_friction. *** NEMO-RD : provides 2D (vertical integral) while not requested by CMIP6 (Griffies et al. 2016) while CMIP5 requested 3D field -->
    <field id="CMIP6_dispkexyfo"    field_ref="dummy_XY0"        /> <!-- P3 (W m-2) ocean_kinetic_energy_dissipation_per_unit_area_due_to_xy_friction : Depth integrated impacts on kinetic energy arising from lateral frictional dissipation associated with Laplacian and/or biharmonic viscosity. For CMIP5, this diagnostic was 3d, whereas the CMIP6 depth integrated diagnostic is sufficient for many purposes and reduces archive requirements. -->
@@ -142,5 +142,5 @@
    <field id="CMIP6_pso"           field_ref="dummy_XY"         /> <!-- P1 (Pa) sea_water_pressure_at_sea_water_surface : Sea Water Pressure at Sea Water Surface **** NEMO-RD: not relevant for IPSLCM6 -->
    <field id="CMIP6_rlntds"        field_ref="dummy_XY"         /> <!-- P1 (W m-2) surface_net_downward_longwave_flux : This is defined as "where ice_free_sea over sea" **** NEMO-RD: does not do -->
-   <field id="CMIP6_rsdo"          field_ref="qsr3d_e3t" expr="@qsr3d_e3t / @e3t" > qsr3d_e3t / e3t </field>  <!-- P1 (W m-2) downwelling_shortwave_flux_in_sea_water : Downwelling Shortwave Radiation in Sea Water -->
+   <field id="CMIP6_rsdo"          field_ref="qsr3d_e3t_SBC" expr="@qsr3d_e3t_SBC / @e3t_SBC" > qsr3d_e3t_SBC / e3t_SBC </field> <!-- P1 (W m-2) downwelling_shortwave_flux_in_sea_water : Downwelling Shortwave Radiation in Sea Water -->
    <field id="CMIP6_rsdoabsorb"    field_ref="dummy_XYO"        /> <!-- P2 (W m-2) net_rate_of_absorption_of_shortwave_energy_in_ocean_layer : Net Rate of Absorption of Shortwave Energy in Ocean Layer **** NEMO-RD: does not do : easy to compute offline -->
    <field id="CMIP6_rsntds"        field_ref="qsr"              /> <!-- P1 (W m-2) net_downward_shortwave_flux_at_sea_water_surface : This is the flux into the surface of liquid sea water only. This excludes shortwave flux absorbed by sea ice, but includes any light that passes through the ice and is absorbed by the ocean. -->
@@ -403,5 +403,5 @@
    <field id="CMIP6_intpbp"        field_ref="dummy_XY"         /> <!-- P3 (mol m-2 s-1) tendency_of_ocean_mole_content_of_phosphorus_due_to_biological_production : Vertically integrated biogenic phosphorus production -->
    <field id="CMIP6_intpbsi"       field_ref="INTPBSI"          /> <!-- P1 (mol m-2 s-1) tendency_of_ocean_mole_content_of_silicon_due_to_biological_production : Vertically integrated biogenic silica production -->
-   <field id="CMIP6_intpcalcite"   field_ref="INTPCAL"         /> <!-- P1 (mol m-2 s-1) tendency_of_ocean_mole_content_of_calcite_expressed_as_carbon_due_to_biological_production : Vertically integrated calcite production -->
+   <field id="CMIP6_intpcalcite"   field_ref="dummy_XY"         /> <!-- P1 (mol m-2 s-1) tendency_of_ocean_mole_content_of_calcite_expressed_as_carbon_due_to_biological_production : Vertically integrated calcite production -->
    <field id="CMIP6_intpn2"        field_ref="INTNFIX"          /> <!-- P1 (mol m-2 s-1) tendency_of_ocean_mole_content_of_elemental_nitrogen_due_to_fixation : Vertically integrated nitrogen fixation -->
    <field id="CMIP6_intpoc"        field_ref="dummy_XY"           /> <!-- P2 (kg m-2) intpoc : Vertically integrated POC -->