Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/COMP/lim3.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/COMP/lim3.card	(revision 3799)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/COMP/lim3.card	(revision 3801)
@@ -18,5 +18,4 @@
 List=	(${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref                  , namelist_ice_ref       ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-lim.xml, field_def_nemo-lim.xml ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_seaIce.xml       , ping_seaIce.xml        ), \
         (${SUBMIT_DIR}/PARAM/namelist_lim3_${RESOL_OCE}_cfg_${LMDZ_Physics}              , namelist_ice_cfg       ), \
         (${SUBMIT_DIR}/PARAM/file_def_nemo-lim3.xml                                      , file_def_nemo-lim.xml  )
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/COMP/opa9.card	(revision 3799)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/COMP/opa9.card	(revision 3801)
@@ -45,4 +45,5 @@
 [ParametersFiles]
 List=   (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ref                            , namelist_ref        ), \
+        (${SUBMIT_DIR}/PARAM/ping_nemo.xml, . )                                                                  , \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/context_nemo.xml       , context_nemo.xml    ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/domain_def_nemo.xml    , domain_def_nemo.xml ), \
@@ -50,5 +51,4 @@
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/grids_def_nemo.xml     , grids_def_nemo.xml  ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-opa.xml , field_def_nemo-opa.xml  ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_ocean.xml         , ping_ocean.xml      ), \
         (${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}_cfg                                    , namelist_cfg        ), \
         (${SUBMIT_DIR}/PARAM/file_def_nemo-opa.xml                                        , file_def_nemo-opa.xml   )
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/COMP/pisces.card	(revision 3799)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/COMP/pisces.card	(revision 3801)
@@ -38,5 +38,4 @@
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-inerttrc.xml , field_def_nemo-inerttrc.xml), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_ocnBgChem.xml          , ping_ocnBgChem.xml         ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/CFCs_CDIAC.dat              , CFCs_CDIAC.dat             ), \
      	(${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE}pdC_cfg                                  , namelist_top_cfg           ), \
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/lim3.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/lim3.card	(revision 3799)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/lim3.card	(revision 3801)
@@ -20,5 +20,4 @@
 List=	(${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref                  , namelist_ice_ref       ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-lim.xml, field_def_nemo-lim.xml ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_seaIce.xml       , ping_seaIce.xml        ), \
         (${SUBMIT_DIR}/PARAM/namelist_lim3_${RESOL_OCE}_cfg_${LMDZ_Physics}              , namelist_ice_cfg       ), \
         (${SUBMIT_DIR}/PARAM/file_def_nemo-lim3.xml                                      , file_def_nemo-lim.xml  )
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/opa9.card	(revision 3799)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/opa9.card	(revision 3801)
@@ -51,5 +51,4 @@
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/grids_def_nemo.xml     , grids_def_nemo.xml  ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-opa.xml , field_def_nemo-opa.xml  ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_ocean.xml         , ping_ocean.xml      ), \
         (${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}_cfg                                    , namelist_cfg        ), \
         (${SUBMIT_DIR}/PARAM/file_def_nemo-opa.xml                                        , file_def_nemo-opa.xml   )
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/pisces.card	(revision 3799)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/pisces.card	(revision 3801)
@@ -38,5 +38,4 @@
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-inerttrc.xml , field_def_nemo-inerttrc.xml), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_ocnBgChem.xml          , ping_ocnBgChem.xml         ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/CFCs_CDIAC.dat              , CFCs_CDIAC.dat             ), \
      	(${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE}piC_cfg                                  , namelist_top_cfg           ), \
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/lim3.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/lim3.card	(revision 3799)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/lim3.card	(revision 3801)
@@ -18,5 +18,4 @@
 List=	(${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref                  , namelist_ice_ref       ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-lim.xml, field_def_nemo-lim.xml ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_seaIce.xml       , ping_seaIce.xml        ), \
         (${SUBMIT_DIR}/PARAM/namelist_lim3_${RESOL_OCE}_cfg_${LMDZ_Physics}              , namelist_ice_cfg       ), \
         (${SUBMIT_DIR}/PARAM/file_def_nemo-lim3.xml                                      , file_def_nemo-lim.xml  )
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/opa9.card	(revision 3799)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/opa9.card	(revision 3801)
@@ -51,5 +51,4 @@
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/grids_def_nemo.xml     , grids_def_nemo.xml  ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-opa.xml , field_def_nemo-opa.xml  ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_ocean.xml         , ping_ocean.xml      ), \
         (${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}_cfg                                    , namelist_cfg        ), \
         (${SUBMIT_DIR}/PARAM/file_def_nemo-opa.xml                                        , file_def_nemo-opa.xml   )
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/pisces.card	(revision 3799)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/pisces.card	(revision 3801)
@@ -38,5 +38,4 @@
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-inerttrc.xml , field_def_nemo-inerttrc.xml), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_ocnBgChem.xml          , ping_ocnBgChem.xml         ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/CFCs_CDIAC.dat              , CFCs_CDIAC.dat             ), \
      	(${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE}piC_cfg                                  , namelist_top_cfg           ), \