Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/lmdz.card	(revision 3805)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/lmdz.card	(revision 3806)
@@ -48,13 +48,18 @@
 List=	(${R_IN}/ATM/START/${config_UserChoices_LandSeaMask}xLMD${RESOL_ATM_XY}/start_${config_UserChoices_LandSeaMask}xLMD${RESOL_ATM_3D}_o2a_v3.nc, start.nc),\
         (${R_IN}/ATM/START/${config_UserChoices_LandSeaMask}xLMD${RESOL_ATM_XY}/startphy_${config_UserChoices_LandSeaMask}xLMD${RESOL_ATM_3D}_o2a_v3.nc, startphy.nc) 
+# For resolution 512x360 change to use:
+#List=	(${R_IN}/ATM/START/${config_UserChoices_LandSeaMask}xLMD${RESOL_ATM_XY}/start_${config_UserChoices_LandSeaMask}xLMD${RESOL_ATM_3D}.nc, start.nc),\
+#        (${R_IN}/ATM/START/${config_UserChoices_LandSeaMask}xLMD${RESOL_ATM_XY}/startphy_${config_UserChoices_LandSeaMask}xLMD${RESOL_ATM_3D}.nc, startphy.nc) 
 
 [BoundaryFiles]
-List=   (${R_IN}/ATM/LIMIT/HadISST2.2.0.0-r0/interpol/${RESOL_ATM_XY}_${config_UserChoices_LandSeaMask}_gregorian/limit_${year}.nc, limit.nc),\
+List=   (${R_IN}/ATM/LIMIT/HadISST2.2.0.0-r0.v2/interpol/${RESOL_ATM_XY}_${config_UserChoices_LandSeaMask}_gregorian/limit_${year}.nc, limit.nc),\
         (${R_IN}/ATM/OZONE/UReading/historical.v20160711.v2/interpol/${RESOL_ATM_XY}/climoz_LMDZ_${year}.nc, climoz_LMDZ.nc),\
         (${R_IN}/ATM/SOLAR/CMIP6/v3.1corr/Historical/solarforcing_v3.1_daily_6bands_${year}.nc,        solarforcing.nc),\
         (${R_IN}/ATM/STRATAERO/CMIP6/v3/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/taulwstrat.2D.${year}.nc, taulwstrat.2D.nc),\
         (${R_IN}/ATM/STRATAERO/CMIP6/v3/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/tauswstrat.2D.${year}.nc, tauswstrat.2D.nc),\
-        (${R_IN}/CMIP6/piControl-spinup/1850/dr2xml_LMDZ.xml, dr2xml_lmdz.xml)
-#        (${R_IN}/CMIP6/DR2XML_DUMMY_FULL.HEAVY/dr2xml_LMDZ.xml, dr2xml_lmdz.xml)
+        (${R_IN}/CMIP6/IPSLCM6.1.2-LR/IPSL-CM6A-LR/highresSST-present/r1i1p1f1/${year}/dr2xml_LMDZ.xml, dr2xml_lmdz.xml)
+# For resolution 512x360 change to use: 
+#      (${R_IN}/CMIP6/IPSLCM6.1.2-LR/IPSL-CM6A-ATM-HR/highresSST-present/r1i1p1f1/${year}/dr2xml_orchidee.xml, .)
+
 
 # Note: the SOLARANDVOLCANOES.txt is only used for LMDZ_Physics=AP and NPv3.2 (if ok_suntime_rrtm=n)
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/orchidee.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/orchidee.card	(revision 3805)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/orchidee.card	(revision 3806)
@@ -41,6 +41,8 @@
 List= (${R_IN}/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v1/PFTmap_${year}.nc, PFTmap.nc) ,\
       (${R_IN}/SRF/WOODHARVEST/LUH2v2/historical/woodharvest_${year}.nc, woodharvest.nc),\
-      (${R_IN}/CMIP6/piControl-spinup/1850/dr2xml_orchidee.xml, .)
-#      (${R_IN}/CMIP6/DR2XML_DUMMY_FULL.HEAVY/dr2xml_orchidee.xml, .)
+      (${R_IN}/CMIP6/IPSLCM6.1.2-LR/IPSL-CM6A-LR/highresSST-present/r1i1p1f1/${year}/dr2xml_orchidee.xml, .)
+
+# For resolution 512x360 change to use: 
+#      (${R_IN}/CMIP6/IPSLCM6.1.2-LR/IPSL-CM6A-ATM-HR/highresSST-present/r1i1p1f1/${year}/dr2xml_orchidee.xml, .)
 
 ListNonDel= ()
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/config.card	(revision 3805)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/config.card	(revision 3806)
@@ -12,5 +12,8 @@
 #----- DEVT TEST PROD
 SpaceName=TEST
-LongName="LMDZOR configuration"
+LongName="LMDZ-ORCHIDEE configuration with the model IPSL-CM6-LR"
+# For resolution 512x360 change to use: 
+#LongName="LMDZ-ORCHIDEE configuration with the model IPSL-CM6-ATM-HR"
+
 TagName=LMDZOR
 #D- Choice of experiment in EXPERIEMENTS directory
@@ -19,4 +22,7 @@
 # Use LandSeaMasl=eORCA1.2 for resolution 144x142 and LandSeaMask=default for other resolutions 
 LandSeaMask=eORCA1.2
+# For resolution 512x360 change to use: 
+#LandSeaMask=default
+
 #============================
 #-- leap, noleap, 360d
@@ -34,7 +40,7 @@
 [ListOfComponents]
 #D- For each component, Name of component, Tag of component
-ATM= (lmdz, LMDZ)
-SRF= (orchidee, ORCHIDEE)
-IOS= (xios, XIOS)
+ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3321)
+SRF= (orchidee, tag-ORCHIDEE_2_0-5229)
+IOS= (xios, tag-ORCHIDEE_2_0-5229)
 
 #========================================================================
@@ -44,4 +50,5 @@
 #D- Here is set 47MPI*8OMP which is suitable for resolution 144x142x79
 #D- Change to 31MPI*4OMP for resolution 96x95x39
+#D- Change to 179MPI*16OMP for resolution 512x360
 ATM= (gcm.e, lmdz.x, 71MPI, 8OMP)
 SRF= ("", "")