Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/COMP/opa9.card	(revision 3810)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/COMP/opa9.card	(revision 3813)
@@ -68,5 +68,6 @@
         (${config_UserChoices_JobName}_1y_grid_V.nc    , ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_grid_V.nc     , NONE          ),\
         (${config_UserChoices_JobName}_1y_grid_W.nc    , ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_grid_W.nc     , NONE          ),\
-        (${config_UserChoices_JobName}_1y_diaptr.nc    , ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_diaptr.nc     , NONE          ),\
+        (${config_UserChoices_JobName}_1y_diaptr_T.nc  , ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_diaptr_T.nc   , NONE          ),\
+        (${config_UserChoices_JobName}_1y_diaptr_W.nc  , ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_diaptr_W.nc   , NONE          ),\
         (${config_UserChoices_JobName}_1y_trdtra.nc    , ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_trdtra.nc     , NONE          ),\
         (${config_UserChoices_JobName}_1m_scalar.nc    , ${R_OUT_OCE_O_M}/${PREFIX}_1M_scalar.nc     , Post_1M_scalar),\
@@ -75,6 +76,7 @@
         (${config_UserChoices_JobName}_1m_grid_V.nc    , ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_V.nc     , Post_1M_grid_V),\
         (${config_UserChoices_JobName}_1m_grid_W.nc    , ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_W.nc     , Post_1M_grid_W),\
-        (${config_UserChoices_JobName}_1m_diaptr.nc    , ${R_OUT_OCE_O_M}/${PREFIX}_1M_diaptr.nc     , Post_1M_diaptr),\
-        (${config_UserChoices_JobName}_1m_trdtra.nc    , ${R_OUT_OCE_O_M}/${PREFIX}_1M_trdtra.nc     , NONE          ),\
+        (${config_UserChoices_JobName}_1m_diaptr_T.nc  , ${R_OUT_OCE_O_M}/${PREFIX}_1M_diaptr_T.nc   , Post_1M_diaptr_T),\
+        (${config_UserChoices_JobName}_1m_diaptr_W.nc  , ${R_OUT_OCE_O_M}/${PREFIX}_1M_diaptr_W.nc   , Post_1M_diaptr_W),\
+        (${config_UserChoices_JobName}_1m_trdtra.nc    , ${R_OUT_OCE_O_M}/${PREFIX}_1M_trdtra.nc     , Post_1M_trdtra),\
         (${config_UserChoices_JobName}_5d_grid_T.nc    , ${R_OUT_OCE_O_D}/${PREFIX}_5D_grid_T.nc     , NONE          ),\
         (${config_UserChoices_JobName}_5d_grid_U.nc    , ${R_OUT_OCE_O_D}/${PREFIX}_5D_grid_U.nc     , NONE          ),\
@@ -86,5 +88,6 @@
         (${config_UserChoices_JobName}_1d_grid_W.nc    , ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_W.nc     , NONE          ),\
         (${config_UserChoices_JobName}_1d_SBC.nc       , ${R_OUT_OCE_O_D}/${PREFIX}_1D_SBC.nc        , NONE          ),\
-        (${config_UserChoices_JobName}_1d_diaptr.nc    , ${R_OUT_OCE_O_D}/${PREFIX}_1D_diaptr.nc     , NONE          ),\
+        (${config_UserChoices_JobName}_1d_diaptr_T.nc  , ${R_OUT_OCE_O_D}/${PREFIX}_1D_diaptr_T.nc   , NONE          ),\
+        (${config_UserChoices_JobName}_1d_diaptr_W.nc  , ${R_OUT_OCE_O_D}/${PREFIX}_1D_diaptr_W.nc   , NONE          ),\
         (${config_UserChoices_JobName}_1d_scalar.nc    , ${R_OUT_OCE_O_D}/${PREFIX}_1D_scalar.nc     , NONE          ),\
         (mesh_mask.nc     , ${R_OUT_OCE_O}/${config_UserChoices_JobName}_mesh_mask.nc                       , NONE),\
@@ -94,5 +97,4 @@
         (output.init.nc   , ${R_OUT_OCE_O_I}/${config_UserChoices_JobName}_${PeriodDateBegin}_output.init.nc, NONE)
 
-
 # Monthly analysis
 
@@ -108,8 +110,8 @@
 [Post_1M_grid_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (zos, tos, sos, mldr10_1, nshfls, rsntds, friver, hc300, wfo)
-ChunckJob2D = NONE
-TimeSeriesVars3D = (thetao, so)
+GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (zos, zossq, tos, sos, tossq, omlmax, mldkz5, mldr10_1, nshfls, rsntds, rsds, friver, hc300, wfo)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (e3t, thetao, so)
 ChunckJob3D = 100Y
 Seasonal=ON
@@ -117,32 +119,41 @@
 [Post_1M_grid_U]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, depthu, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (tauuo, sozohetr, sozosatr)
-ChunckJob2D = OFF
+ChunckJob2D = NONE
 TimeSeriesVars3D = (e3u, uo)
-ChunckJob3D = OFF
+ChunckJob3D = 100Y
 Seasonal=ON
 
 [Post_1M_grid_V]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, depthv, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (tauvo, somehetr, somesatr)
-ChunckJob2D = OFF
+ChunckJob2D = NONE
 TimeSeriesVars3D = (e3v, vo)
-ChunckJob3D = OFF
+ChunckJob3D = 100Y
 Seasonal=ON
 
 [Post_1M_grid_W]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, depthw, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ( )
-ChunckJob2D = OFF
+ChunckJob2D = NONE
 TimeSeriesVars3D = ( )
-ChunckJob3D = OFF
-Seasonal=ON
-
-[Post_1M_diaptr]
-Patches = ()
-GatherWithInternal = (nav_lat, depthw, time_counter, time_centered, time_centered_bounds)
+ChunckJob3D = 100Y
+Seasonal=ON
+
+[Post_1M_diaptr_T]
+Patches = ()
+GatherWithInternal = (nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (zotemglo, zotematl, zotempac, zotemind, zotemipc, zosalglo, zosalatl, zosalpac, zosalind, zosalipc, zosrfglo, zosrfatl, zosrfpac, zosrfind, zosrfipc, sophtadv, sophtldf, sopstadv, sopstldf)
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
+Seasonal=ON
+
+[Post_1M_diaptr_W]
+Patches = ()
+GatherWithInternal = (nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (zomsfglo, zomsfatl, zomsfpac, zomsfind, zomsfipc)
 ChunckJob2D = NONE
@@ -151,8 +162,7 @@
 Seasonal=ON
 
-
 [Post_1M_trdtra]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = NONE
 ChunckJob2D = NONE
@@ -165,5 +175,5 @@
 [Post_1D_grid_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (tos, tosstd, sos, zos, zosstd, sstdcy, mldr10_1, mldr10_1dcy, mldkz5)
 ChunckJob2D = OFF
@@ -174,5 +184,5 @@
 [Post_1D_grid_U]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, depthu, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = 100Y
@@ -183,5 +193,5 @@
 [Post_1D_grid_V]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, depthv, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = 200Y
@@ -203,5 +213,5 @@
 [Post_1Y_grid_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ( )
 ChunckJob2D = NONE
@@ -212,5 +222,5 @@
 [Post_1Y_grid_U]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, depthu, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (hfx, hfxba, hfxdiff, sozotaux)
 ChunckJob2D = NONE
@@ -221,5 +231,5 @@
 [Post_1Y_grid_V]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, depthv, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ( )
 ChunckJob2D = NONE
@@ -228,19 +238,19 @@
 Seasonal=OFF
 
-[Post_1Y_grid_W]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, depthw, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = ( )
-ChunckJob2D = NONE
-TimeSeriesVars3D = ( )
-ChunckJob3D = 50Y
-Seasonal=OFF
-
-[Post_1Y_diaptr]
-Patches = ()
-GatherWithInternal = (nav_lat, deptht, depthw, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (zomsfglo, zomsfatl, zotemglo, zotematl, zotempac, zosalglo, zosalatl, zosalpac, zosrfglo, zosrfatl, zosrfpac)
-ChunckJob2D = NONE
-TimeSeriesVars3D = ()
-ChunckJob3D = NONE
-Seasonal=OFF
+[Post_1Y_diaptr_T]
+Patches = ()
+GatherWithInternal = (nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (zotemglo, zotematl, zotempac, zotemind, zotemipc, zosalglo, zosalatl, zosalpac, zosalind, zosalipc, zosrfglo, zosrfatl, zosrfpac, zosrfind, zosrfipc, sophtadv, sophtldf, sopstadv, sopstldf)
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
+Seasonal=OFF
+
+[Post_1Y_diaptr_W]
+Patches = ()
+GatherWithInternal = (nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (zomsfglo, zomsfatl, zomsfpac, zomsfind, zomsfipc)
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
+Seasonal=OFF
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/COMP/pisces.card	(revision 3810)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/COMP/pisces.card	(revision 3813)
@@ -81,5 +81,5 @@
 [Post_1M_ptrc_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = OFF
@@ -90,5 +90,5 @@
 [Post_1M_diad_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (Cflx, Dpco2, EPC100, INTPP)
 ChunckJob2D = OFF
@@ -99,5 +99,5 @@
 [Post_1Y_ptrc_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = OFF
@@ -108,5 +108,5 @@
 [Post_1Y_diad_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (Cflx, Dpco2, EPC100, Heup,  Nfix)
 ChunckJob2D = 50Y
@@ -117,5 +117,5 @@
 [Post_1Y_inerttrc]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = OFF