Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/clim/COMP/lim3.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/clim/COMP/lim3.card	(revision 3856)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/clim/COMP/lim3.card	(revision 3860)
@@ -3,4 +3,5 @@
 
 [UserChoices]
+OuputLevel=10
 
 [InitialStateFiles]
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/clim/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/clim/COMP/opa9.card	(revision 3856)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/clim/COMP/opa9.card	(revision 3860)
@@ -80,6 +80,6 @@
         (${config_UserChoices_JobName}_1y_grid_V.nc    , ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_grid_V.nc     , NONE          ),\
         (${config_UserChoices_JobName}_1y_grid_W.nc    , ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_grid_W.nc     , NONE          ),\
-        (${config_UserChoices_JobName}_1y_diaptr_T.nc  , ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_diaptr_T.nc   , Post_1Y_diaptr_T),\
-        (${config_UserChoices_JobName}_1y_diaptr_W.nc  , ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_diaptr_W.nc   , Post_1Y_diaptr_W),\
+        (${config_UserChoices_JobName}_1y_diaptr_T.nc  , ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_diaptr_T.nc   , NONE          ),\
+        (${config_UserChoices_JobName}_1y_diaptr_W.nc  , ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_diaptr_W.nc   , NONE          ),\
         (${config_UserChoices_JobName}_1y_trdtra.nc    , ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_trdtra.nc     , NONE          ),\
         (${config_UserChoices_JobName}_1m_scalar.nc    , ${R_OUT_OCE_O_M}/${PREFIX}_1M_scalar.nc     , Post_1M_scalar),\
@@ -90,5 +90,5 @@
         (${config_UserChoices_JobName}_1m_diaptr_T.nc  , ${R_OUT_OCE_O_M}/${PREFIX}_1M_diaptr_T.nc   , Post_1M_diaptr_T),\
         (${config_UserChoices_JobName}_1m_diaptr_W.nc  , ${R_OUT_OCE_O_M}/${PREFIX}_1M_diaptr_W.nc   , Post_1M_diaptr_W),\
-        (${config_UserChoices_JobName}_1m_trdtra.nc    , ${R_OUT_OCE_O_M}/${PREFIX}_1M_trdtra.nc     , Post_1M_trdtra),\
+        (${config_UserChoices_JobName}_1m_trdtra.nc    , ${R_OUT_OCE_O_M}/${PREFIX}_1M_trdtra.nc     , NONE          ),\
         (${config_UserChoices_JobName}_5d_grid_T.nc    , ${R_OUT_OCE_O_D}/${PREFIX}_5D_grid_T.nc     , NONE          ),\
         (${config_UserChoices_JobName}_5d_grid_U.nc    , ${R_OUT_OCE_O_D}/${PREFIX}_5D_grid_U.nc     , NONE          ),\
@@ -96,6 +96,6 @@
         (${config_UserChoices_JobName}_5d_grid_W.nc    , ${R_OUT_OCE_O_D}/${PREFIX}_5D_grid_W.nc     , NONE          ),\
         (${config_UserChoices_JobName}_5d_trdtra.nc    , ${R_OUT_OCE_O_D}/${PREFIX}_5D_trdtra.nc     , NONE          ),\
-        (${config_UserChoices_JobName}_1d_grid_T.nc    , ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_T.nc     , Post_1D_grid_T),\
-        (${config_UserChoices_JobName}_1d_grid_U.nc    , ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_U.nc     , Post_1D_grid_U),\
+        (${config_UserChoices_JobName}_1d_grid_T.nc    , ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_T.nc     , NONE          ),\
+        (${config_UserChoices_JobName}_1d_grid_U.nc    , ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_U.nc     , NONE          ),\
         (${config_UserChoices_JobName}_1d_grid_W.nc    , ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_W.nc     , NONE          ),\
         (${config_UserChoices_JobName}_1d_SBC.nc       , ${R_OUT_OCE_O_D}/${PREFIX}_1D_SBC.nc        , NONE          ),\
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/clim/COMP/xios.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/clim/COMP/xios.card	(revision 3856)
+++ 	(revision )
@@ -1,26 +1,0 @@
-[Compatibility]
-libIGCM=1.0
-
-[UserChoices]
-
-[InitialStateFiles]
-List=   ()
-
-[BoundaryFiles]
-List=   ()
-ListNonDel= ()
-
-[SmoothFiles]
-List=   ()
-
-[ParametersFiles]
-List=   ()
-
-[RestartFiles]
-List=   (NONE)
-
-[OutputText]
-List=   ()
-
-[OutputFiles]
-List=   ()
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/clim/config.card	(revision 3856)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/clim/config.card	(revision 3860)
@@ -17,5 +17,5 @@
 TagName=ORCA2_LIM3_PISCES
 #D- Choice of experiment in EXPERIEMENTS directory
-ExpType=ORCA2_LIM3_PISCES/clim
+ExpType=ORCA2_LIM3_PISCES/core/clim
 #============================
 #-- leap, noleap, 360d
@@ -23,6 +23,6 @@
 #-- Begin and end of Job
 #-- "YYYY-MM-DD"
-DateBegin=0001-01-01
-DateEnd=0050-12-31
+DateBegin=1850-01-01
+DateEnd=1900-12-31
 #============================
 #-- 1Y, 1M, 5D, 1D
@@ -39,5 +39,4 @@
 ICE= (lim3, LIM_3)
 MBG= (pisces, PISCES)
-IOS= (xios, XIOS)
 #========================================================================
 #D-- Executable -
@@ -48,5 +47,4 @@
 ICE= ("", "", "")
 MBG= ("", "", "")
-IOS= (xios_server.exe, xios.x, 1MPI)
 #========================================================================
 #D-- Restarts -
@@ -124,18 +122,3 @@
 #SeasonalFrequencyOffset=0
 PackFrequency=10Y
-
-
 #========================================================================
-#D-- IOS -
-[IOS]
-WriteFrequency=""
-# If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= n
-##-- Last day of the experience used as restart for this component if Restart=y
-RestartDate=1899-12-31
-# Define restart simulation name for this component
-RestartJobName=EXP00
-RestartPath=${ARCHIVE}/IGCM_OUT/IPSLCM5A/DEVT/piControl
-# Old component name for restart (if empty, use new name)
-OldName=
-#========================================================================