Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/clim/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/clim/COMP/opa9.card	(revision 3856)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/clim/COMP/opa9.card	(revision 3861)
@@ -83,6 +83,6 @@
         (${config_UserChoices_JobName}_1y_grid_V.nc    , ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_grid_V.nc     , NONE          ),\
         (${config_UserChoices_JobName}_1y_grid_W.nc    , ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_grid_W.nc     , NONE          ),\
-        (${config_UserChoices_JobName}_1y_diaptr_T.nc  , ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_diaptr_T.nc   , Post_1Y_diaptr_T),\
-        (${config_UserChoices_JobName}_1y_diaptr_W.nc  , ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_diaptr_W.nc   , Post_1Y_diaptr_W),\
+        (${config_UserChoices_JobName}_1y_diaptr_T.nc  , ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_diaptr_T.nc   , NONE          ),\
+        (${config_UserChoices_JobName}_1y_diaptr_W.nc  , ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_diaptr_W.nc   , NONE          ),\
         (${config_UserChoices_JobName}_1y_trdtra.nc    , ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_trdtra.nc     , NONE          ),\
         (${config_UserChoices_JobName}_1m_scalar.nc    , ${R_OUT_OCE_O_M}/${PREFIX}_1M_scalar.nc     , Post_1M_scalar),\
@@ -93,5 +93,5 @@
         (${config_UserChoices_JobName}_1m_diaptr_T.nc  , ${R_OUT_OCE_O_M}/${PREFIX}_1M_diaptr_T.nc   , Post_1M_diaptr_T),\
         (${config_UserChoices_JobName}_1m_diaptr_W.nc  , ${R_OUT_OCE_O_M}/${PREFIX}_1M_diaptr_W.nc   , Post_1M_diaptr_W),\
-        (${config_UserChoices_JobName}_1m_trdtra.nc    , ${R_OUT_OCE_O_M}/${PREFIX}_1M_trdtra.nc     , Post_1M_trdtra),\
+        (${config_UserChoices_JobName}_1m_trdtra.nc    , ${R_OUT_OCE_O_M}/${PREFIX}_1M_trdtra.nc     , NONE          ),\
         (${config_UserChoices_JobName}_5d_grid_T.nc    , ${R_OUT_OCE_O_D}/${PREFIX}_5D_grid_T.nc     , NONE          ),\
         (${config_UserChoices_JobName}_5d_grid_U.nc    , ${R_OUT_OCE_O_D}/${PREFIX}_5D_grid_U.nc     , NONE          ),\
@@ -99,6 +99,6 @@
         (${config_UserChoices_JobName}_5d_grid_W.nc    , ${R_OUT_OCE_O_D}/${PREFIX}_5D_grid_W.nc     , NONE          ),\
         (${config_UserChoices_JobName}_5d_trdtra.nc    , ${R_OUT_OCE_O_D}/${PREFIX}_5D_trdtra.nc     , NONE          ),\
-        (${config_UserChoices_JobName}_1d_grid_T.nc    , ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_T.nc     , Post_1D_grid_T),\
-        (${config_UserChoices_JobName}_1d_grid_U.nc    , ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_U.nc     , Post_1D_grid_U),\
+        (${config_UserChoices_JobName}_1d_grid_T.nc    , ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_T.nc     , NONE          ),\
+        (${config_UserChoices_JobName}_1d_grid_U.nc    , ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_U.nc     , NONE          ),\
         (${config_UserChoices_JobName}_1d_grid_W.nc    , ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_W.nc     , NONE          ),\
         (${config_UserChoices_JobName}_1d_SBC.nc       , ${R_OUT_OCE_O_D}/${PREFIX}_1D_SBC.nc        , NONE          ),\
@@ -106,8 +106,8 @@
         (${config_UserChoices_JobName}_1d_diaptr_W.nc  , ${R_OUT_OCE_O_D}/${PREFIX}_1D_diaptr_W.nc   , NONE          ),\
         (${config_UserChoices_JobName}_1d_scalar.nc    , ${R_OUT_OCE_O_D}/${PREFIX}_1D_scalar.nc     , NONE          ),\
-        (mesh_mask.nc     , ${R_OUT_OCE_O}/${config_UserChoices_JobName}_mesh_mask.nc                       , NONE),\
-        (runoffs.nc       , ${R_OUT_OCE_O}/${config_UserChoices_JobName}_runoffs.nc                         , NONE),\
-	(damping.coeff.nc , ${R_OUT_OCE_O_D}/${PREFIX}_damping.coeff.nc                                     , NONE),\
-        (output.abort.nc  , ${R_OUT_OCE_D}/${PREFIX}_output.abort.nc                                        , NONE),\
+        (mesh_mask.nc     , ${R_OUT_OCE_O}/${config_UserChoices_JobName}_mesh_mask.nc                , NONE          ),\
+        (runoffs.nc       , ${R_OUT_OCE_O}/${config_UserChoices_JobName}_runoffs.nc                  , NONE          ),\
+	(damping.coeff.nc , ${R_OUT_OCE_O_D}/${PREFIX}_damping.coeff.nc                              , NONE          ),\
+        (output.abort.nc  , ${R_OUT_OCE_D}/${PREFIX}_output.abort.nc                                 , NONE          )
 
 