Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/lmdz.card	(revision 3866)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/lmdz.card	(revision 3867)
@@ -4,5 +4,5 @@
 [UserChoices]
 # Physics package to use
-LMDZ_Physics=NPv6.1
+LMDZ_Physics=NPv6.1.3
 
 # Set ConfType to choose parameters for aerosols, solar and green house gazes.
@@ -54,11 +54,12 @@
 [BoundaryFiles]
 List=   (${R_IN}/ATM/LIMIT/HadISST2.2.0.0-r0.v2/interpol/${RESOL_ATM_XY}_${config_UserChoices_LandSeaMask}_gregorian/limit_${year}.nc, limit.nc),\
-        (${R_IN}/ATM/OZONE/UReading/historical.v20160711.v2/interpol/${RESOL_ATM_XY}/climoz_LMDZ_${year}.nc, climoz_LMDZ.nc),\
-        (${R_IN}/ATM/SOLAR/CMIP6/v3.1corr/Historical/solarforcing_v3.1_daily_6bands_${year}.nc,        solarforcing.nc),\
-        (${R_IN}/ATM/STRATAERO/CMIP6/v3/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/taulwstrat.2D.${year}.nc, taulwstrat.2D.nc),\
-        (${R_IN}/ATM/STRATAERO/CMIP6/v3/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/tauswstrat.2D.${year}.nc, tauswstrat.2D.nc),\
-        (${R_IN}/CMIP6/IPSLCM6.1.2-LR/IPSL-CM6A-LR/highresSST-present/r1i1p1f1/${year}/dr2xml_LMDZ.xml, dr2xml_lmdz.xml)
+        (${R_IN}/ATM/AEROSOLS/CMIP6/v1/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/aerosols${year}_from_inca.nc,              aerosols${year}.nc),\
+        (${R_IN}/ATM/OZONE/UReading/historical.v20160711.v2/interpol/${RESOL_ATM_XY}/climoz_LMDZ_${year}.nc,      climoz_LMDZ.nc),\
+        (${R_IN}/ATM/SOLAR/CMIP6/v3.1corr/Historical/solarforcing_v3.1_daily_6bands_${year}.nc,                   solarforcing.nc),\
+        (${R_IN}/ATM/STRATAERO/CMIP6/v3/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/taulwstrat.2D.${year}.nc,                 taulwstrat.2D.nc),\
+        (${R_IN}/ATM/STRATAERO/CMIP6/v3/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/tauswstrat.2D.${year}.nc,                 tauswstrat.2D.nc),\
+        (${R_IN}/CMIP6/IPSLCM6.1.2-LR/IPSL-CM6A-LR/highresSST-present/r1i1p1f1/${year}/dr2xml_LMDZ.xml,           dr2xml_lmdz.xml)
 # For resolution 512x360 change to use: 
-#      (${R_IN}/CMIP6/IPSLCM6.1.2-LR/IPSL-CM6A-ATM-HR/highresSST-present/r1i1p1f1/${year}/dr2xml_LMDZ.xml, dr2xml_lmdz.xml)
+#      (${R_IN}/CMIP6/IPSLCM6.1.2-LR/IPSL-CM6A-ATM-HR/highresSST-present/r1i1p1f1/${year}/dr2xml_LMDZ.xml,       dr2xml_lmdz.xml)
 
 
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/lmdz.card	(revision 3866)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/lmdz.card	(revision 3867)
@@ -4,5 +4,5 @@
 [UserChoices]
 # Physics package to use
-LMDZ_Physics=NPv6.1
+LMDZ_Physics=NPv6.1.3
 
 # Set ConfType to choose parameters for aerosols, solar and green house gazes.
@@ -54,11 +54,12 @@
 [BoundaryFiles]
 List=   (${R_IN}/ATM/LIMIT/HadISST2.2.0.0-r0.v2/interpol/${RESOL_ATM_XY}_${config_UserChoices_LandSeaMask}_gregorian/limit_${year}.nc, limit.nc),\
-        (${R_IN}/ATM/OZONE/UReading/historical.v20160711.v2/interpol/${RESOL_ATM_XY}/climoz_LMDZ_${year}.nc, climoz_LMDZ.nc),\
-        (${R_IN}/ATM/SOLAR/CMIP6/v3.1corr/Historical/solarforcing_v3.1_daily_6bands_${year}.nc,        solarforcing.nc),\
-        (${R_IN}/ATM/STRATAERO/CMIP6/v3/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/taulwstrat.2D.${year}.nc, taulwstrat.2D.nc),\
-        (${R_IN}/ATM/STRATAERO/CMIP6/v3/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/tauswstrat.2D.${year}.nc, tauswstrat.2D.nc),\
-        (${R_IN}/CMIP6/IPSLCM6.1.2-LR/IPSL-CM6A-LR/highresSST-present/r1i1p1f1/${year}/dr2xml_LMDZ.xml, dr2xml_lmdz.xml)
+        (${R_IN}/ATM/AEROSOLS/CMIP6/v1/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/aerosols${year}_from_inca.nc,              aerosols${year}.nc),\
+        (${R_IN}/ATM/OZONE/UReading/historical.v20160711.v2/interpol/${RESOL_ATM_XY}/climoz_LMDZ_${year}.nc,      climoz_LMDZ.nc),\
+        (${R_IN}/ATM/SOLAR/CMIP6/v3.1corr/Historical/solarforcing_v3.1_daily_6bands_${year}.nc,                   solarforcing.nc),\
+        (${R_IN}/ATM/STRATAERO/CMIP6/v3/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/taulwstrat.2D.${year}.nc,                 taulwstrat.2D.nc),\
+        (${R_IN}/ATM/STRATAERO/CMIP6/v3/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/tauswstrat.2D.${year}.nc,                 tauswstrat.2D.nc),\
+        (${R_IN}/CMIP6/IPSLCM6.1.2-LR/IPSL-CM6A-LR/highresSST-present/r1i1p1f1/${year}/dr2xml_LMDZ.xml,           dr2xml_lmdz.xml)
 # For resolution 512x360 change to use: 
-#      (${R_IN}/CMIP6/IPSLCM6.1.2-LR/IPSL-CM6A-ATM-HR/highresSST-present/r1i1p1f1/${year}/dr2xml_LMDZ.xml, dr2xml_lmdz.xml)
+#      (${R_IN}/CMIP6/IPSLCM6.1.2-LR/IPSL-CM6A-ATM-HR/highresSST-present/r1i1p1f1/${year}/dr2xml_LMDZ.xml,       dr2xml_lmdz.xml)
 
 