Index: /CONFIG/UNIFORM/v6/NEMO_v6/AA_make
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/AA_make	(revision 3871)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/AA_make	(revision 3871)
@@ -0,0 +1,57 @@
+#- $Id$
+#-
+#- AA_make for IPSLCM5_v4 configuration
+#- 
+
+MYSRC_DIR = $(shell /bin/pwd)
+
+all : 
+	$(M_K) ORCA1LIM3PISCES 
+
+
+ORCA2LIM3PISCES : xios orca2lim3pisces
+
+ORCA1LIM3PISCES : xios orca1lim3pisces
+
+ORCA025LIM3 : xios orca025lim3
+
+ORCA025LIM3PISCES : xios orca025lim3pisces
+
+ORCA2OFFPISCES : xios orca2offpisces
+
+ORCA1OFFPISCES : xios orca1offpisces
+
+xios: ../../modeles/XIOS
+	(cd ../../modeles/XIOS; ./make_xios --arch $(FCM_ARCH) --prod --full  --job 8 ; cp bin/xios_server.exe ../../bin/. ; )
+
+
+orca2lim3pisces:  ../../modeles/NEMOGCM/CONFIG
+	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/NEMO_v6/ARCH/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM3_PISCES -r ORCA1_LIM3_PISCES -j16  ; cp ORCA2_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/orca2lim3pisces.exe ; )
+
+orca1lim3pisces:  ../../modeles/NEMOGCM/CONFIG
+	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/NEMO_v6/ARCH/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA1_LIM3_PISCES -j16  ; cp ORCA1_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/orca1lim3pisces.exe ; )
+
+orca025lim3:  ../../modeles/NEMOGCM/CONFIG
+	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/NEMO_v6/ARCH/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n eORCA025_LIM3 -j16  ; cp eORCA025_LIM3/BLD/bin/nemo.exe ../../../bin/orca025lim3.exe ; )
+
+orca025lim3pisces:  ../../modeles/NEMOGCM/CONFIG
+	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/NEMO_v6/ARCH/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n eORCA025_LIM3_PISCES -j16  ; cp eORCA025_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/orca025lim3pisces.exe ; )
+
+orca1offpisces:  ../../modeles/NEMOGCM/CONFIG
+	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/NEMO_v6/ARCH/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA1_OFF_PISCES -j16  ; cp ORCA1_OFF_PISCES/BLD/bin/nemo.exe ../../../bin/orca1offpisces.exe ; )
+
+orca2offpisces:  ../../modeles/NEMOGCM/CONFIG
+	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/NEMO_v6/ARCH/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_OFF_PISCES -j16 add_key "key_xios2" ; cp ORCA2_OFF_PISCES/BLD/bin/nemo.exe ../../../bin/orca2offpisces.exe ; )
+
+verif: ../../bin
+	ls -l ../../bin
+
+clean : cleanxios cleannemo
+	rm -rf $(LIBDIR)/* ; rm -f $(BINDIR)/*
+
+cleannemo : 
+	../../modeles/NEMOGCM/CONFIG/makenemo clean
+	rm -f $(BINDIR)/orca*.exe
+
+cleanxios :
+	rm -rf ../../modeles/XIOS/bin/ ../../modeles/XIOS/inc ../../modeles/XIOS/obj ../../modeles/XIOS/lib
Index: /CONFIG/UNIFORM/v6/NEMO_v6/AA_make.ldef
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/AA_make.ldef	(revision 3871)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/AA_make.ldef	(revision 3871)
@@ -0,0 +1,11 @@
+#- $Id$
+#---------------------------------------------------------------------
+#- Initialisations for IPSLCM5 configuration
+#---------------------------------------------------------------------
+SHELL = /bin/sh
+#---------------------------------------------------------------------
+LIBDIR = ../../lib
+BINDIR = ../../bin
+MODDIR = $(LIBDIR)
+#---------------------------------------------------------------------
+#-
Index: /CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_ADA.fcm
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_ADA.fcm	(revision 3871)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_ADA.fcm	(revision 3871)
@@ -0,0 +1,53 @@
+# ADA IBM at IDRIS, http://www.idris.fr/eng/ada/
+#
+# NCDF_HOME   root directory containing lib and include subdirectories for netcdf4
+# HDF5_HOME   root directory containing lib and include subdirectories for HDF5
+# XIOS_HOME   root directory containing lib for XIOS
+# OASIS_HOME  root directory containing lib for OASIS
+#
+# NCDF_INC    netcdf4 include file
+# NCDF_LIB    netcdf4 library
+# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
+# OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
+#
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make
+# USER_INC    complete list of include files
+# USER_LIB    complete list of libraries to pass to the linker
+#
+# Note that:
+#  - unix variables "$..." are accpeted and will be evaluated before calling fcm.
+#  - fcm variables are starting with a % (and not a $)
+#
+%XIOS_HOME           ${PWD}/../../XIOS
+%OASIS_HOME          ${PWD}/../../../oasis3-mct/BLD
+
+%NCDF_INC            -I/smplocal/pub/NetCDF/4.1.3/mpi/include
+%NCDF_LIB            -L/smplocal/pub/NetCDF/4.1.3/mpi/lib -lnetcdff -lnetcdf -lnetcdf_c++ -L/smplocal/pub/HDF5/1.8.9/par/lib -lhdf5hl_fortran -lhdf5_hl -lhdf5_fortran -lhdf5 -Bdynamic -lz -Wl,-rpath=/smplocal/pub/NetCDF/4.1.3/mpi/lib:/smplocal/pub/HDF5/1.8.9/par/lib
+%XIOS_INC            -I%XIOS_HOME/inc 
+%XIOS_LIB            -L%XIOS_HOME/lib -lxios
+%OASIS_INC           -I%OASIS_HOME/build/lib/psmile.MPI1 
+%OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lscrip -lmct -lmpeu
+
+%CPP               cpp
+%FC                  mpiifort -c -cpp
+# for Ada
+%FCFLAGS             -DCPP_PARA -i4 -r8 -O3 -xAVX -fp-model precise
+%FFLAGS              %FCFLAGS
+%LD                  mpiifort
+%LDFLAGS             -lstdc++
+%FPPFLAGS            -P -C -traditional
+%AR                  ar
+%ARFLAGS             rs
+%MK                  gmake
+%USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
+%USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
Index: /CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_CURIE.fcm
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_CURIE.fcm	(revision 3871)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_CURIE.fcm	(revision 3871)
@@ -0,0 +1,57 @@
+# Curie BULL at TGCC, http://www-hpc.cea.fr/en/complexe/tgcc-curie.htm
+#
+# NCDF_HOME   root directory containing lib and include subdirectories for netcdf4
+# HDF5_HOME   root directory containing lib and include subdirectories for HDF5
+# XIOS_HOME   root directory containing lib for XIOS
+# OASIS_HOME  root directory containing lib for OASIS
+#
+# NCDF_INC    netcdf4 include file
+# NCDF_LIB    netcdf4 library
+# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
+# OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
+#
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make
+# USER_INC    complete list of include files
+# USER_LIB    complete list of libraries to pass to the linker
+#
+# Note that:
+#  - unix variables "$..." are accpeted and will be evaluated before calling fcm.
+#  - fcm variables are starting with a % (and not a $)
+#
+%XIOS_HOME           ${PWD}/../../XIOS
+%OASIS_HOME          ${PWD}/../../../oasis3-mct/BLD
+
+%NCDF_INC            -I${NETCDF_INC_DIR} 
+%NCDF_LIB            -L${NETCDF_LIB_DIR} -lnetcdff -lnetcdf 
+%XIOS_INC            -I%XIOS_HOME/inc 
+%XIOS_LIB            -L%XIOS_HOME/lib -lxios
+%OASIS_INC           -I%OASIS_HOME/build/lib/psmile.MPI1 
+%OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lscrip -lmct -lmpeu
+
+%CPP                 cpp
+%FC                  mpif90 -c -cpp
+# for Curie Fat Node
+#%FCFLAGS             -i4 -r8 -O3 -fp-model precise -xSSE4.2 
+# for Curie Thin Node
+#%FCFLAGS             -i4 -r8 -O3 -fp-model precise -xAVX
+# for Curie all Node
+%FCFLAGS             -i4 -r8 -O3 -fp-model precise
+%FFLAGS              %FCFLAGS
+%LD                  mpif90
+%LDFLAGS             -lstdc++
+%FPPFLAGS            -P -C -traditional
+%AR                  ar
+%ARFLAGS             rs
+%MK                  gmake
+%USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
+%USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
Index: /CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_IRENE.fcm
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_IRENE.fcm	(revision 3871)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_IRENE.fcm	(revision 3871)
@@ -0,0 +1,52 @@
+# Irene BULL at TGCC, http://www-hpc.cea.fr/en/complexe/tgcc-irene.htm
+#
+# NCDF_HOME   root directory containing lib and include subdirectories for netcdf4
+# HDF5_HOME   root directory containing lib and include subdirectories for HDF5
+# XIOS_HOME   root directory containing lib for XIOS
+# OASIS_HOME  root directory containing lib for OASIS
+#
+# NCDF_INC    netcdf4 include file
+# NCDF_LIB    netcdf4 library
+# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
+# OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
+#
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make
+# USER_INC    complete list of include files
+# USER_LIB    complete list of libraries to pass to the linker
+#
+# Note that:
+#  - unix variables "$..." are accpeted and will be evaluated before calling fcm.
+#  - fcm variables are starting with a % (and not a $)
+#
+%XIOS_HOME           ${PWD}/../../XIOS
+%OASIS_HOME          ${PWD}/../../../oasis3-mct/BLD
+
+%NCDF_INC            -I${NETCDFC_INCDIR} -I${NETCDFFORTRAN_INCDIR}
+%NCDF_LIB            -L${NETCDFC_LIBDIR} -lnetcdf -L${NETCDFFORTRAN_LIBDIR} -lnetcdff 
+%XIOS_INC            -I%XIOS_HOME/inc 
+%XIOS_LIB            -L%XIOS_HOME/lib -lxios
+%OASIS_INC           -I%OASIS_HOME/build/lib/psmile.MPI1 
+%OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lscrip -lmct -lmpeu
+
+%CPP                 cpp
+%FC                  mpif90 -c -cpp
+%FCFLAGS             -i4 -r8 -O3 -fp-model precise
+%FFLAGS              %FCFLAGS
+%LD                  mpif90
+%LDFLAGS             -lstdc++
+%FPPFLAGS            -P -C -traditional
+%AR                  ar
+%ARFLAGS             rs
+%MK                  gmake
+%USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
+%USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB