Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA025_LIM3/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA025_LIM3/ia/config.card	(revision 3873)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA025_LIM3/ia/config.card	(revision 3874)
@@ -46,5 +46,5 @@
 Name=nemo
 #D- For each component, Real name of executable
-OCE= (nemo.exe, nemo, 1295MPI)
+OCE= (orca025lim3.exe, nemo, 1295MPI)
 ICE= ("", "", "")
 IOS= (xios_server.exe, xios.x, 7MPI)
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA025_LIM3_PISCES/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA025_LIM3_PISCES/ia/config.card	(revision 3873)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA025_LIM3_PISCES/ia/config.card	(revision 3874)
@@ -47,5 +47,5 @@
 Name=nemo
 #D- For each component, Real name of executable
-OCE= (nemo.exe, nemo, 1295MPI)
+OCE= (orca025lim3pisces.exe, nemo, 1295MPI)
 ICE= ("", "", "")
 MBG= ("", "", "")
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/clim/config.card	(revision 3873)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/clim/config.card	(revision 3874)
@@ -47,5 +47,5 @@
 Name=nemo
 #D- For each component, Real name of executable
-OCE= (nemo.exe, nemo, 432MPI)
+OCE= (orca1lim3pisces.exe, nemo, 432MPI)
 ICE= ("", "", "")
 MBG= ("", "", "")
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/ia/config.card	(revision 3873)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/ia/config.card	(revision 3874)
@@ -47,5 +47,5 @@
 Name=nemo
 #D- For each component, Real name of executable
-OCE= (nemo.exe, nemo, 432MPI)
+OCE= (orca1lim3pisces.exe, nemo, 432MPI)
 ICE= ("", "", "")
 MBG= ("", "", "")
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/jra/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/jra/ia/config.card	(revision 3873)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/jra/ia/config.card	(revision 3874)
@@ -47,5 +47,5 @@
 Name=nemo
 #D- For each component, Real name of executable
-OCE= (nemo.exe, nemo, 432MPI)
+OCE= (orca1lim3pisces.exe, nemo, 432MPI)
 ICE= ("", "", "")
 MBG= ("", "", "")
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_OFF_PISCES/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_OFF_PISCES/ia/config.card	(revision 3873)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_OFF_PISCES/ia/config.card	(revision 3874)
@@ -45,5 +45,5 @@
 Name=nemo
 #D- For each component, Real name of executable
-MBG= (nemo.exe, nemo, 432MPI)
+MBG= (orca1offpisces.exe, nemo, 432MPI)
 IOS= (xios_server.exe, xios.x, 1MPI)
 #========================================================================
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/clim/config.card	(revision 3873)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/clim/config.card	(revision 3874)
@@ -44,5 +44,5 @@
 Name=nemo
 #D- For each component, Real name of executable
-OCE= (nemo.exe, nemo, 32MPI)
+OCE= (orca2lim3pisces.exe, nemo, 32MPI)
 ICE= ("", "", "")
 MBG= ("", "", "")
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/ia/config.card	(revision 3873)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/ia/config.card	(revision 3874)
@@ -44,5 +44,5 @@
 Name=nemo
 #D- For each component, Real name of executable
-OCE= (nemo.exe, nemo, 32MPI)
+OCE= (orca2lim3pisces.exe, nemo, 32MPI)
 ICE= ("", "", "")
 MBG= ("", "", "")
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/dfs5/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/dfs5/ia/config.card	(revision 3873)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/dfs5/ia/config.card	(revision 3874)
@@ -44,5 +44,5 @@
 Name=nemo
 #D- For each component, Real name of executable
-OCE= (nemo.exe, nemo, 32MPI)
+OCE= (orca2lim3pisces.exe, nemo, 32MPI)
 ICE= ("", "", "")
 MBG= ("", "", "")
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/jra/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/jra/ia/config.card	(revision 3873)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/jra/ia/config.card	(revision 3874)
@@ -44,5 +44,5 @@
 Name=nemo
 #D- For each component, Real name of executable
-OCE= (nemo.exe, nemo, 32MPI)
+OCE= (orca2lim3pisces.exe, nemo, 32MPI)
 ICE= ("", "", "")
 MBG= ("", "", "")
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/clim/config.card	(revision 3873)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/clim/config.card	(revision 3874)
@@ -44,5 +44,5 @@
 Name=nemo
 #D- For each component, Real name of executable
-MBG= (nemo.exe, nemo, 32MPI)
+MBG= (orca2offpisces.exe, nemo, 32MPI)
 #========================================================================
 #D-- Restarts -
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/ia/config.card	(revision 3873)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/ia/config.card	(revision 3874)
@@ -44,5 +44,5 @@
 Name=nemo
 #D- For each component, Real name of executable
-MBG= (nemo.exe, nemo, 32MPI)
+MBG= (orca2offpisces.exe, nemo, 32MPI)
 #========================================================================
 #D-- Restarts -